

%define section free
%if "%{?rhel}" == "6"
%define _jarsign_opts --unsign=%{_javadir}
%endif

%global reltag _redhat_1
%global meadversion %{version}.Final_redhat_1
%global mavenversion %{version}.Final-redhat-1

%global mavengroup org.jboss.osgi.resolver
%global artifact0 jbosgi-resolver-parent
%global artifact1 jbosgi-resolver-api
%global artifact2 jbosgi-resolver-felix

%global title JBossOSGi Resolver

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define maven_version 3.0.1.Final-redhat-1

Name:    jbosgi-resolver
Version: 3.0.1
Release: 1.Final%{reltag}%{?dist}
Epoch:   0

License: LGPL
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.osgi.resolver-jbosgi-resolver-parent-3.0.1.Final-redhat-1-sources.zip
Source101: org.jboss.osgi.resolver-jbosgi-resolver-parent-3.0.1.Final-redhat-1-patches.zip
Source102: jbosgi-resolver-api-3.0.1.Final-redhat-1-javadoc.jar
Source103: jbosgi-resolver-api-3.0.1.Final-redhat-1-sources.jar
Source104: jbosgi-resolver-api-3.0.1.Final-redhat-1.pom
Source105: jbosgi-resolver-api-3.0.1.Final-redhat-1.jar
Source106: jbosgi-resolver-parent-3.0.1.Final-redhat-1.pom
Source107: jbosgi-resolver-felix-3.0.1.Final-redhat-1-javadoc.jar
Source108: jbosgi-resolver-felix-3.0.1.Final-redhat-1.pom
Source109: jbosgi-resolver-felix-3.0.1.Final-redhat-1.jar
Source110: jbosgi-resolver-felix-3.0.1.Final-redhat-1-sources.jar
%endif

URL:     http://community.jboss.org/wiki/JBossOSGi

BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
A standalone OSGi Resolver.

%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{artifact1}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact1}-%{mavenversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact1}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact1}-%{mavenversion}-sources.jar

%{__cp} -p %{_sourcedir}/%{artifact2}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact2}-%{mavenversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact2}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact2}-%{mavenversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_sourcedir}/%{artifact1}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom
%{__cp} -p %{_sourcedir}/%{artifact2}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact2}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{mavenversion} JPP %{artifact1}
%add_to_maven_depmap %{mavengroup} %{artifact2} %{mavenversion} JPP %{artifact2}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact1}
%{__unzip} -qq %{_sourcedir}/%{artifact1}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact1}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact1}/META-INF

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact2}
%{__unzip} -qq %{_sourcedir}/%{artifact2}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact2}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact2}/META-INF

(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{mavenversion} %{name})

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%changelog
* Tue Feb 19 2013 Lin Gao <lgao@redhat.com> - 0:3.0.1-1.Final_redhat_1
- Upgrade to 3.0.1.Final
- Add javadoc package

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-2.Final_redhat_3.3
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.0-1.Final_redhat_3.3
- Fix dependency management to eap 6.0.1 boms

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:2.1.0-1.Final_redhat_1
- Upgrade to 2.1.0.Final

* Thu Mar 29 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-1.Beta5_redhat_1
- Upgrade to 2.0.0.Beta5
- Change jars install path

* Mon Mar 05 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.13-1_redhat_1.1
- Upgrade to 1.0.13.Final
- resolver-metadata removed, now jbosgi-metadata package

* Wed Feb 22 2012 Lin Gao <lgao@redhat.com> - 0:1.0.11-1_redhat_1.1
- Upgrade to 1.0.11
- Add vman patche

* Fri Feb 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.10-1_redhat_1.2
- Rebuild

* Thu Nov 03 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.10-1_redhat_1
- Upgrade to 1.0.10

* Wed Sep 14 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.9-1_redhat_1
- Build for Werewolf
